package com.fs.qw.service;

import com.fs.common.core.domain.R;
import com.fs.qw.event.*;

import java.io.IOException;


public interface IQwEventMessageService {
    R contactChanged(String deviceId, EventContactChanged contactChanged);

    R EventMessageText(String deviceId,EventMessageText messageText);

    R EventMessageImage(String deviceId, EventMessageImage messageImage) throws IOException;

    R EventMessageVideo(String deviceId, EventMessageVideo messageVideo);

    R EventMessageVoice(String deviceId, EventMessageVoice messageVoice);

    R EventMessageEmoji(String deviceId, EventMessageEmoji messageEmoji);

    R EventMessageFile(String deviceId, EventMessageFile messageFile);

    R EventMessageRevoked(Long severId);

}
